Bug 480257 - Cobbler only profiles not getting scheduled
Cobbler only profiles not getting scheduled
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: WebUI (Show other bugs)
0.4
All Linux
low Severity medium
: ---
: ---
Assigned To: Partha Aji
Jesus M. Rodriguez
:
Depends On:
Blocks: space05
  Show dependency treegraph
 
Reported: 2009-01-15 19:34 EST by Partha Aji
Modified: 2009-09-17 03:09 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-17 03:09:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Partha Aji 2009-01-15 19:34:14 EST
Description of problem:
Create a non spacewalk managed ks profile using the cobbler cli. Try to schedule a KS on system using this profile. ISE

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. Create a spacewalk-managed distro, Systems -> Kickstart -> Distributions -> Create Distro
2. On the shell log on to the spacewalk server and look at the available distros, and identify your distro using 
"cobbler distro list"
3. run "cobbler profile add --name=cobbler-only --distro='<distro_name>'"
4. run " cobbler profile list" to lookup on your profile..
5. So back to the web ui and try to schedule a reprovision of one of your systems using the created profile... Systems-> <system> -> Provisioning -> <created profile> -> Schedule KS..


  
Actual results:
ISE

Expected results:
System scheduled for kickstart

Additional info:

Servlet.service() for servlet action threw exception
redstone.xmlrpc.XmlRpcFault: cobbler.cexceptions.CX:'invalid profile name'
        at redstone.xmlrpc.XmlRpcClient.handleResponse(XmlRpcClient.java:443)
        at redstone.xmlrpc.XmlRpcClient.endCall(XmlRpcClient.java:376)
        at redstone.xmlrpc.XmlRpcClient.invoke(XmlRpcClient.java:165)
        at com.redhat.rhn.manager.kickstart.cobbler.CobblerXMLRPCHelper.invokeMethod(CobblerXMLRPCHelper.java:73)
        at com.redhat.rhn.manager.kickstart.cobbler.CobblerCommand.invokeXMLRPC(CobblerCommand.java:104)
        at com.redhat.rhn.manager.kickstart.cobbler.CobblerSystemCreateCommand.store(CobblerSystemCreateCommand.java:139)
        at com.redhat.rhn.manager.kickstart.KickstartScheduleCommand.store(KickstartScheduleCommand.java:596)
        at com.redhat.rhn.frontend.action.kickstart.ScheduleKickstartWizardAction.runThird(ScheduleKickstartWizardAction.java:340)
Comment 1 Partha Aji 2009-03-28 01:11:31 EDT
Moving to ON_QA
Comment 2 Jesus M. Rodriguez 2009-04-14 10:12:14 EDT
Spacewalk 0.5 released.
Comment 3 Miroslav Suchý 2009-09-17 03:09:08 EDT
Spacewalk 0.5 has been released for long time ago.

Note You need to log in before you can comment on or make changes to this bug.